> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seraph.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Update User Profile

> Updates the profile information for a given Discord user, such as their locale.



## OpenAPI

````yaml https://stash.seraph.si/json patch /discord/user/{snowflake}/profile
openapi: 3.1.0
info:
  contact:
    email: support@seraph.si
    name: API Support
    url: https://discord.gg/seraph
  title: Seraph API
  version: '4.0'
servers: []
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /discord/user/{snowflake}/profile:
    patch:
      tags:
        - Discord
        - User Profile
      summary: Update User Profile
      description: >-
        Updates the profile information for a given Discord user, such as their
        locale.
      parameters:
        - description: Discord Snowflake ID of the user to update
          in: path
          name: snowflake
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/sprint.UserProfile'
        description: User profile data to update (e.g., locale)
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                  snowflake:
                    type: string
                type: object
          description: User profile updated successfully
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: >-
            Bad request, e.g., invalid input body or no valid fields provided
            for update
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Unauthorized, not enough permissions
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: User profile not found for the given snowflake
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/validation.ErrorResponse'
          description: Internal server error
components:
  schemas:
    sprint.UserProfile:
      properties:
        locale:
          $ref: '#/components/schemas/discord.Locale'
        snowflake:
          type: string
      type: object
    validation.ErrorResponse:
      properties:
        cause:
          type: string
        code:
          type: integer
        documentation:
          type: string
        extra:
          items:
            $ref: '#/components/schemas/validation.ErrorObject'
          type: array
          uniqueItems: false
        msTime:
          type: integer
        success:
          type: boolean
      type: object
    discord.Locale:
      type: string
      x-enum-varnames:
        - LocaleEnglishUS
        - LocaleEnglishGB
        - LocaleBulgarian
        - LocaleChineseCN
        - LocaleChineseTW
        - LocaleCroatian
        - LocaleCzech
        - LocaleDanish
        - LocaleDutch
        - LocaleFinnish
        - LocaleFrench
        - LocaleGerman
        - LocaleGreek
        - LocaleHindi
        - LocaleHungarian
        - LocaleIndonesian
        - LocaleItalian
        - LocaleJapanese
        - LocaleKorean
        - LocaleLithuanian
        - LocaleNorwegian
        - LocalePolish
        - LocalePortugueseBR
        - LocaleRomanian
        - LocaleRussian
        - LocaleSpanishES
        - LocaleSwedish
        - LocaleThai
        - LocaleTurkish
        - LocaleUkrainian
        - LocaleVietnamese
        - LocaleUnknown
    validation.ErrorObject:
      properties:
        code:
          type: integer
        developer_reason:
          type: string
        name:
          type: string
        reason:
          type: string
      type: object

````